Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.values
Class NamespaceContext

    java.lang.Object
      org.apache.xmlbeans.impl.values.NamespaceContext

All Implemented Interfaces:
  PrefixResolver

    public class NamespaceContext

extends java.lang.Object
implements PrefixResolver

Constructor Summary
`NamespaceContext(java.util.Map prefixToUriMap)`
`NamespaceContext(PrefixResolver resolver)`
`NamespaceContext(StartElement start)`
`NamespaceContext(TypeStore typeStore)`
`NamespaceContext(XmlObject xmlObject)`

Method Summary
`static void` | `clearThreadLocals()`
`static PrefixResolver` | `getCurrent()`
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)` Caled when the user has a prefix and needs to look up the corresponding namespace URI.
`static void` | `pop()`
`static void` | `push(NamespaceContext next)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceContext

    public NamespaceContext(java.util.Map prefixToUriMap)

### NamespaceContext

    public NamespaceContext(TypeStore typeStore)

### NamespaceContext

    public NamespaceContext(XmlObject xmlObject)

### NamespaceContext

    public NamespaceContext(StartElement start)

### NamespaceContext

    public NamespaceContext(PrefixResolver resolver)

Method Detail

### clearThreadLocals

    public static void clearThreadLocals()

### push

    public static void push(NamespaceContext next)

### pop

    public static void pop()

### getCurrent

    public static PrefixResolver getCurrent()

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  Description copied from interface: `PrefixResolver`
  Caled when the user has a prefix and needs to look up the corresponding namespace URI. If the prefix is not defined in this context, then this method may return null. The no-namespace is represented by the empty string return result. If the prefix is null or "", then the default namespace is being requested. To conform with the XML spec, the default namespace will return the no-namespace ("") if it is not mapped.

  Specified by:
    `getNamespaceForPrefix` in interface `PrefixResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD